/*
    ragmaan/scratchpad.h            (C) 2003 Raymond (zandbergen@home.nl)

    "ragmaan" is an anagram generator

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef SCRATCHPAD_H
#define SCRATCHPAD_H
#include <glib.h>
#include <gtk/gtk.h>
extern gchar *scratchpad_name;
extern void scratchpad_printf (const gchar * fmt, ...) 
	G_GNUC_PRINTF (1,2);
extern gint scratchpad_copy (GtkWidget * unused1, gpointer unused2);
extern gint scratchpad_save (GtkWidget * unused1, gpointer unused2);
extern gint scratchpad_save_as (GtkWidget * unused1, gpointer unused2);
extern gint scratchpad_load (GtkWidget * unused1, gpointer unused2);
extern gint scratchpad_clear (GtkWidget * unused1, gpointer unused2);
extern GtkWidget *new_scratchpad (void);
extern void scratchpad_set_modified (gboolean b);
extern gboolean scratchpad_get_modified (void);
extern void scratchpad_update_name (gchar * name, gboolean hint_only);
#endif
